Bug 582369 - Review Request: perl-AnyEvent-I3 - Communicate with the i3 window manager
Summary: Review Request: perl-AnyEvent-I3 - Communicate with the i3 window manager
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-14 18:29 UTC by Simon
Modified: 2014-06-26 11:54 UTC (History)
4 users (show)

Fixed In Version: 0.04-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-22 08:20:39 UTC
cwickert: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Simon 2010-04-14 18:29:51 UTC
SRPM URL:
http://cassmodiah.fedorapeople.org/SRPMS/perl-anyevent-i3-0.04-1.fc14.src.rpm

Description: 
This module connects to the i3 window manager using the UNIX socket based
IPC interface it provides (if enabled in the configuration file). You can
then subscribe to events or send messages and receive their replies.

Comment 1 Christoph Wickert 2010-04-14 20:28:17 UTC
Please use the template from
https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=extras-review
when you file a new review request. Post the link to the spec and not only the srpm. Thanks!


REVIEW FOR 
61fd1d09f25e23ce0f28a97b37a6140a  perl-anyevent-i3-0.04-1.fc14.src.rpm

OK - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/perl-anyevent-i3-0.04-1.fc14.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
FIX - MUST: not named according to the Package Naming Guidelines: Package name should be case sensitive
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines
FIX - MUST: License field in spec file does not match the actual license: Should be "GPL+ or Artistic"
N/A - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 50ab7d0b40c2c244ebd936e6cf45ab54
OK - MUST: successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
N/A - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: Package does not bundle copies of system libraries.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
N/A - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file
FIX - MUST: package owns files or directories already owned by other packages: /usr/share/perl5/AnyEvent/
OK - MUST: at the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
N/A - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
OK - SHOULD: no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin


Other items:
OK - latest stable version
OK - SourceURL valid


Issues:
- The package name shoud be perl-AnyEvent-I3 (case sensitive) because this is the name of the perl module it provides
- License tag should be "GPL+ or Artistic", see
https://fedoraproject.org/wiki/Packaging/Perl#License_tag
- package owns /usr/share/perl5/AnyEvent but this is already owned by perl-AnyEvent. perlAnyEvent is a dependency of this package, so it must not own this dir. See https://fedoraproject.org/wiki/Packaging/Perl#Directory_Ownership
- Add CHANGES to %doc
- Changelog entry "New upstream release" is misleading becaue this is the first package and the first release.


Please fix these issues before building and consider the package APPROVED.

Comment 2 Simon 2010-04-14 20:38:37 UTC
Thank you for reviewing Christoph.

These are careless mistakes. Shame on me. But they are easy to fix.

New Package CVS Request
=======================
Package Name: perl-AnyEvent-I3
Short Description: Communicate with the i3 window manager
Owners: cassmodiah
Branches: F-12 F-13
InitialCC:

Comment 3 Kevin Fenzi 2010-04-14 21:53:44 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Simon 2010-06-23 12:10:55 UTC
Package Change Request
======================
Package Name: perl-AnyEvent-I3
New Branches: EL-6
Owners: cassmodiah

Comment 5 Jason Tibbitts 2010-06-26 21:24:19 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Christopher Meng 2014-06-26 02:57:38 UTC
Package Change Request
======================
Package Name: perl-AnyEvent-I3
New Branches: epel7
Owners: cicku

Comment 7 Gwyn Ciesla 2014-06-26 11:54:03 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.